gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: add shell script to initiate t


From: gnunet
Subject: [taler-deployment] branch master updated: add shell script to initiate transfers
Date: Sun, 05 Mar 2023 18:21:46 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 8decf8b  add shell script to initiate transfers
8decf8b is described below

commit 8decf8b70955242a7d8b478798638b3c225c999a
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Sun Mar 5 18:21:41 2023 +0100

    add shell script to initiate transfers
---
 netzbon/transfer.sh | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/netzbon/transfer.sh b/netzbon/transfer.sh
new file mode 100755
index 0000000..90b8ec2
--- /dev/null
+++ b/netzbon/transfer.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+# This file is in the public domain.
+
+set -eu
+
+source functions.sh
+
+if test -z ${3:-}
+then
+    say "This tool allows you to send funds from the 'admin' account"
+    say "to a normal user's bank account within the system for testing."
+    say " "
+    say "Call with three arguments:"
+    say "1) target bank account name to credit"
+    say "2) amount to transfer (e.g. ${CURRENCY:-CURRENCY}:42.42)"
+    say "3) wire transfer subject to use"
+    say " "
+    exit 1
+fi
+
+source /etc/libeufin/sandbox.env
+export LIBEUFIN_SANDBOX_DB_CONNECTION
+
+libeufin-sandbox make-transaction --credit-account "$1" --debit-account admin 
"$2" "$3"

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]